.design_idea_page .design_idea_banner {
  margin-top: 82px;
  position: relative;
  overflow: hidden;
  height: 498px;
}
.design_idea_page .design_idea_banner img {
  object-fit: cover;
  height: 100%;
}
.design_idea_page .design_idea_banner:before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgb(0, 0, 0);
  background: -moz-linear-gradient(
    180deg,
    rgba(0, 0, 0, 0) 0%,
    rgba(25, 25, 25, 1) 81%
  );
  background: -webkit-linear-gradient(
    180deg,
    rgba(0, 0, 0, 0) 0%,
    rgba(25, 25, 25, 1) 81%
  );
  background: linear-gradient(
    180deg,
    rgba(0, 0, 0, 0) 0%,
    rgb(25 25 25 / 87%) 81%
  );
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#000000",endColorstr="#191919",GradientType=1);
}

.design_idea_page .design_idea_banner .container-fluid {
  position: absolute;
  left: 0;
  z-index: 1;
  right: 0;
  top: 0;
  bottom: 0;
  display: flex;
  align-items: center;
  /* text-align: center; */
  justify-content: center;
}

.design_idea_banner .banner_title {
  color: #fff;
  font-size: 48px;
  font-weight: 600;
  text-transform: capitalize;
  margin: 0;
}

.title_sec {
  text-align: center;
}

/* Design Tab Sec */
.design_tab_sec .nav-tabs {
  width: 100%;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  scrollbar-color: #ddd;
  scrollbar-width: thin;
  -ms-overflow-style: none;
  justify-content: center;
  overflow-x: hidden;
}

.outer-wrapper::-webkit-scrollbar {
  height: 1px;
}
.design_tab_sec .nav-tabs::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 0px rgba(0, 0, 0, 0);
}

.design_tab_sec .nav-tabs::-webkit-scrollbar-thumb {
  height: 1px;
  background-color: #ddd;
}

.design_tab_sec .nav-tabs::-webkit-scrollbar-thumb:hover {
  background-color: #ddd;
}

.design_tab_sec .nav-tabs::-webkit-scrollbar:vertical {
  display: none;
}

.design_idea_sec {
  padding: 100px 0;
}

.design_tab_sec .nav-tabs .nav-link {
  padding: 0 5px;
  border: none;
  margin: 0;
  font-family: "Titillium Web", sans-serif;
  font-weight: 600;
  color: #818181;
  margin: 0 10px;
  white-space: nowrap;
}
.design_tab_sec .nav-tabs .nav-link.active,
.design_tab_sec .nav-tabs .nav-link:hover {
  color: #0D0D0D;
  position: relative;
}
.design_tab_sec .nav-tabs .nav-link:hover:after,
.design_tab_sec .nav-tabs .nav-link.active:after {
  background: #0D0D0D;
  position: absolute;
  content: "";
  bottom: 0;
  height: 2px;
  left: 0;
  right: 0;
  width: 100%;
}

/* Design Tab Sec */

.design_idea_page .des a {
  color: #C8794D;
  font-weight: 700;
}

.kitchen .title_sec {
  text-align: left;
  width: 100%;
}
.kitchen .title_sec .title {
  text-align: left;
  /* font-size: 38px; */
}

.kitchen .title_sec .title span {
  font-size: 78px;
}

/* .kitchen .title_sec .des {
    font-size: 18px;
} */
.kitchen .top_sec .title_des {
  text-align: justify;
}
.kitchen .title_sec .more {
  text-transform: capitalize;
  font-weight: 600;
  color: #0D0D0D;
  font-size: 21px;
}
.kitchen {
  padding: 20px 0 40px;
}
.kitchen .top_sec {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 30px;
}
section.kitchen .gallery_sec .kitchen_photo {
  border-radius: 15px;
  overflow: hidden;
  height: 210px;
  display: block;
  position: relative;
}

section.kitchen .gallery_sec .kitchen_photo:after {
  position: absolute;
  top: 0;
  left: -130%;
  z-index: 2;
  /* opacity: 0; */
  display: block;
  content: "";
  width: 70%;
  height: 100%;
  background: #0000003d;
  -webkit-transform: skewX(-25deg);
  transform: skewX(-25deg);
  right: 0;
  bottom: 0;
  transition: all 0.5s;
}

section.kitchen .gallery_sec .kitchen_photo:before {
  position: absolute;
  top: 0;
  /* right: -130%; */
  z-index: 2;
  /* opacity: 0; */
  display: block;
  content: "";
  width: 70%;
  height: 100%;
  background: #0000003d;
  -webkit-transform: skewX(-25deg);
  transform: skewX(-25deg);
  right: -94%;
  bottom: 0;
  transition: all 0.5s;
}
section.kitchen .gallery_sec .kitchen_photo:hover:after {
  left: -100px;
  /* -webkit-animation: shine .95s;
    animation: shine .95s; */
  transition: all 0.5s;
}
section.kitchen .gallery_sec .kitchen_photo:hover:before {
  right: -100px;
  /* -webkit-animation: shine .95s;
    animation: shine .95s; */
  transition: all 0.5s;
}
.gallery_sec .kitchen_photo img {
  height: 210px;
  object-fit: cover;
  transition: all 0.5s;
}

@keyframes shine {
  100% {
    left: 125%;
  }
}
@-webkit-keyframes shine {
  100% {
    left: 125%;
  }
}
.catelogue_sec .catelogue_grid .catelogue_photo img {
  height: 308px;
  object-fit: cover;
  transition: all 0.5s;
}
section.kitchen .gallery_sec .kitchen_photo:hover img {
  transition: all 0.5s;
  transform: scale(1.1);
}
section.kitchen .gallery_sec .bottom_content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-top: 20px;
}

/* section.kitchen .gallery_sec .bottom_content .text_content {
    width: 63%;
} */

.kitchen .gallery_sec .bottom_content .text_content .title {
  font-size: 16px;
  text-align: left;
  color: #111;
}

.kitchen .gallery_sec .bottom_content .text_content a {
  color: #0D0D0D;
  font-weight: 600;
}

.kitchen .gallery_sec .bottom_content .view_more {
  font-size: 15px;
  padding: 0;
  width: 96px;
  padding: 8px 10px;
  text-align: center;
  margin-right: 5px;
  margin-top: 0;
}
.kitchen .gallery_sec .bottom_content .view_more:after {
  width: 96px;
  height: 39px;
}
.kitchen .view_more {
  padding: 12px 19px;
  font-size: 16px;
  margin-right: 11px;
  border-radius: 6px;
}
.kitchen .bottom_btn .view_more:after {
  /* left: 0; */
  /* top: 0; */
  height: 100%;
  width: 100%;
  border-radius: 6px;
}

.kitchen .bottom_btn {
  margin-top: 30px;
  text-align: center;
}
.kitchen .bottom_btn .view_more {
  margin-right: 0;
}

.kitchen .bottom_btn .view_more:after {
  /* left: 0; */
  /* top: 0; */
  height: 47px;
  width: 100%;
}

.kitchen .bottom_btn .quote_link {
  color: #C8794D;
  border-bottom: 2px solid #C8794D;
  font-size: 22px;
  font-weight: 600;
  margin-left: 50px;
  padding: 0 5px;
}

.kitchen .top_sec .view_more:after {
  width: 285px;
  height: 48px;
}
.kitchen .view_more.kitchen_more:after {
  width: 285px;
  /* left: 0; */
  /* top: 0; */
}
.kitchen .top_sec .view_more.wardrobe_more:after {
  width: 307px;
}
.kitchen .top_sec .view_more.bedroom_more:after {
  width: 300px;
}
.kitchen .top_sec .view_more.living_more:after {
  width: 281px;
}
.kitchen .top_sec .view_more.bathroom_more:after {
  width: 289px;
}
.kitchen .top_sec .view_more.kids_more:after {
  width: 266px;
}
.kitchen .top_sec .view_more.study_more:after {
  width: 235px;
}
.kitchen .top_sec .view_more.shoe_more:after {
  width: 234px;
}
.kitchen .top_sec .view_more.\31 bhk_more:after {
  width: 197px;
}
.kitchen .top_sec .view_more.\32 bhk_more:after {
  width: 191px;
}
.kitchen .top_sec .view_more.\33 bhk_more:after {
  width: 193px;
}
.kitchen .top_sec .view_more.\34 bhk_more:after {
  width: 192px;
}

/* Estimate Sec */

.estimate_sec {
  padding: 0;
  margin-bottom: 90px;
}

.estimate_sec .title {
  font-weight: 600;
  text-transform: capitalize;
  margin-bottom: 10px;
}

.estimate_sec .des {
  color: #000;
  font-size: 16px;
}
.estimate_sec .row {
  margin-top: 60px;
  align-items: center;
}
.estimate_sec .estimate_banner {
  display: block;
  position: relative;
  overflow: hidden;
}
.estimate_sec .estimate_banner:after {
  position: absolute;
  top: 0;
  left: -100%;
  z-index: 2;
  opacity: 0;
  display: block;
  content: "";
  width: 50%;
  height: 100%;
  background: -webkit-linear-gradient(
    left,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.5) 100%
  );
  background: linear-gradient(
    to right,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.5) 100%
  );
  -webkit-transform: skewX(-25deg);
  transform: skewX(-25deg);
}
.estimate_sec .estimate_banner:hover:after {
  opacity: 0.7;
  -webkit-animation: shine 0.95s;
  animation: shine 0.95s;
}
.estimate_sec .estimate_banner img {
  border-radius: 10px;
}
.estimate_sec .estimate_content {
  background: #fff;
  box-shadow: 0px 5px 44px 0px rgba(159, 157, 157, 0.25);
  padding: 38px 34px;
  position: relative;
  z-index: 0;
  border-radius: 15px;
}
.estimate_sec .estimate_content .view_more:after {
  width: 264px;
}

.estimate_sec .estimate_content .estimate_icon {
  width: 80px;
  margin-bottom: 20px;
}

.estimate_sec .estimate_content .text_content .view_more {
  font-size: 16px;
  padding: 12px 28px;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
}
.estimate_sec .estimate_content .text_content .view_more:after {
  width: 100%;
  height: 100%;
  border-radius: 5px;
}

.estimate_sec .estimate_content .estimate_icon img {
  width: 100%;
}

.estimate_sec .estimate_content .text_content .estimate_title {
  font-size: 20px;
  font-weight: 700;
  margin-bottom: 10px;
  color: #0D0D0D;
}

.estimate_sec .estimate_content .text_content .des {
  width: 57%;
}

.estimate_sec .estimate_content .calculator_icon {
  width: 50px;

  position: absolute;

  top: 9%;

  right: 3%;
}

.estimate_sec .estimate_content .calculator_icon img {
  width: 100%;
}
/* .estimate_sec .estimate_banner img {
    height: 360px;
    
}
.estimate_sec .estimate_banner img {
    height: 360px;
} */

/* Estimate Sec */

/* 1800px */
@media only screen and (max-width: 1800px) {
  .design_tab_sec .nav-tabs {
    /* overflow-x: scroll; */
    width: 94%;
  }
  section.kitchen .gallery_sec .kitchen_photo {
    height: 226px;
  }
  .gallery_sec .kitchen_photo img {
    height: 226px;
  }
}

/* 1600px */
@media only screen and (max-width: 1600px) {
  .kitchen {
    padding: 40px 0 30px;
  }

  .design_tab_sec .nav-tabs .nav-link {
    white-space: nowrap;
    font-size: 14px;
  }
}

/* 1400px */
@media only screen and (max-width: 1400px) {
  .design_idea_page .design_idea_banner {
    margin-top: 69px;
    height: 210px;
  }
  .design_idea_banner .banner_title {
    font-size: 48px;
  }
  .design_tab_sec .nav-tabs .nav-link {
    padding: 0 3px;
    margin: 0 8px;
  }
  .kitchen {
    padding: 44px 0;
  }
  section.kitchen .gallery_sec .kitchen_photo {
    height: 193px;
  }
  .kitchen .bottom_btn {
    margin-top: 20px;
  }
  .gallery_sec .kitchen_photo img {
    height: 193px;
  }
  .design_idea_sec {
    padding: 60px 0;
  }
  .kitchen .title_sec .title {
    font-size: 22px;
  }
  .kitchen .view_more {
    padding: 12px 14px;
    font-size: 14px;
  }
}

/* 1200px */
@media only screen and (max-width: 1200px) {
  section.kitchen .gallery_sec .kitchen_photo {
    border-radius: 10px;
  }
  .design_idea_banner .banner_title {
    font-size: 38px;
  }
  .design_idea_page .design_idea_banner {
    margin-top: 51px;
    height: 150px;
  }
  .design_tab_sec .nav-tabs .nav-link {
    padding: 0 3px;
    margin: 0 4px;
    font-size: 12px;
  }
  .kitchen {
    padding: 24px 0;
  }
  /* .kitchen .title_sec .title {
        font-size: 28px;
    } */

  section.kitchen .gallery_sec .kitchen_photo {
    height: 159px;
  }
  .gallery_sec .kitchen_photo img {
    height: 159px;
  }
  section.kitchen .gallery_sec .bottom_content {
    margin-top: 14px;
  }
}

/* 991px */
@media only screen and (max-width: 991px) {
  .design_tab_sec .nav-tabs {
    overflow-x: scroll;
    justify-content: space-around;
  }
  .kitchen .kitchen_more.view_more {
    font-size: 19px;
  }
  .kitchen .top_sec .kitchen_more.view_more:after {
    width: 261px;
    height: 45px;
  }

  /* .kitchen .title_sec {
        width: 50%;
    } */
}

/* 767px */
@media only screen and (max-width: 767px) {
  .design_idea_banner .banner_title {
    font-size: 30px;
  }
  .design_tab_sec .nav-tabs {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    width: 94%;
    overflow-x: scroll;
    margin: auto;
  }

  .design_tab_sec .nav-tabs .nav-link {
    padding: 4px 3px;
    margin: 0 3px;
    font-size: 15px;
    white-space: nowrap;
  }

  .kitchen .title_sec {
    width: 100%;
  }
  .kitchen .title_sec .des {
    text-align: justify;
    font-size: 14px;
  }

  .kitchen .top_sec {
    flex-direction: column;
  }
  .kitchen .title_sec .title {
    text-align: center;
    margin-bottom: 10px;
  }
  .kitchen .top_sec {
    flex-direction: column;
    margin-bottom: 10px;
  }
}

/* 480px */
@media only screen and (max-width: 480px) {
  .design_idea_page .design_idea_banner {
    height: 100px;
  }
  .design_idea_sec {
    padding: 30px 0;
  }
  .kitchen .bottom_btn {
    margin-top: 10px;
  }
  /* .design_idea_banner .banner_title {
        font-size: 20px;
    } */
}

#swap_container {
  position: relative;
  display: flex;
  width: 100%;
  max-height: 75vh;
  aspect-ratio: 3 / 2;
  border-radius: 15px;
  overflow: hidden;
  -webkit-border-radius: 15px;
  -moz-border-radius: 15px;
  -ms-border-radius: 15px;
  -o-border-radius: 15px;
}

#swap_container .img-wrapper {
  position: absolute;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

#swap_container .img-wrapper:nth-child(2) {
  clip-path: inset(0px 0px 0px 50%);
}

#swap_container .img-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

#swap_container #line {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  width: 0.2rem;
  height: 100%;
  background-color: #fafafa;
}

#swap_container input {
  /* reset */
  appearance: none;
  -webkit-appearance: none;
  background-color: transparent;
  /* custom */
  position: absolute;
  width: calc(100% + 2.25rem);
  height: 100%;
  left: -1.125rem;
}

.estimate_sec #swap_container input:focus {
  border: none !important;
}

#swap_container input::-webkit-slider-thumb {
  /* reset */
  -webkit-appearance: none;
  appearance: none;
  /* custom */
  height: 2.25rem;
  width: 2.25rem;
  border: 0.25rem solid #fff;
  border-radius: 50%;
  box-shadow: 0px 0px 8px 2px rgba(0, 0, 0, 0.1);
  background-color: #fff;
  background-image: url("data:image/svg+xml;utf8,%3Csvg xmlns%3D%22http%3A//www.w3.org/2000/svg%22 height%3D%2224px%22 viewBox%3D%220 -960 960 960%22 width%3D%2224px%22 fill%3D%22%23000%22%3E%3Cpath d%3D%22M286.15-293.85 100-479.62l185.77-185.76 42.15 41.76-113 113.62h530.16l-113-113.62 42.15-41.76L860-479.62 674.23-293.85l-42.54-41.77 113.39-114H214.54l113.38 114-41.77 41.77Z%22/%3E%3C/svg%3E");
  background-size: cover;
  cursor: grab;
}

#swap_container input::-moz-range-thumb {
  height: 2.25rem;
  width: 2.25rem;
  border: 0.25rem solid #fff;
  border-radius: 50%;
  box-shadow: 0px 0px 8px 2px rgba(0, 0, 0, 0.1);
  background-color: #fff;
  background-image: url("data:image/svg+xml;utf8,%3Csvg xmlns%3D%22http%3A//www.w3.org/2000/svg%22 height%3D%2224px%22 viewBox%3D%220 -960 960 960%22 width%3D%2224px%22 fill%3D%22%23000%22%3E%3Cpath d%3D%22M286.15-293.85 100-479.62l185.77-185.76 42.15 41.76-113 113.62h530.16l-113-113.62 42.15-41.76L860-479.62 674.23-293.85l-42.54-41.77 113.39-114H214.54l113.38 114-41.77 41.77Z%22/%3E%3C/svg%3E");
  background-size: cover;
  cursor: grab;
}

#swap_container input:active::-webkit-slider-thumb {
  cursor: grabbing;
}

#swap_container input:active::-moz-slider-thumb {
  cursor: grabbing;
}
